Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.entity
Class TickLabelEntity

    java.lang.Object
      org.jfree.chart.entity.ChartEntity
          org.jfree.chart.entity.TickLabelEntity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.util.PublicCloneable

Direct Known Subclasses:
  CategoryLabelEntity

    public class TickLabelEntity

extends ChartEntity
implements java.lang.Cloneable, java.io.Serializable

A chart entity representing a tick label.

See Also:
  Serialized Form

Constructor Summary
`TickLabelEntity(java.awt.Shape area, java.lang.String toolTipText, java.lang.String urlText)` Creates a new entity.

Method Summary

Methods inherited from class org.jfree.chart.entity.ChartEntity
`clone, equals, getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, hashCode, setArea, setToolTipText, setURLText, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TickLabelEntity

    public TickLabelEntity(java.awt.Shape area,
                           java.lang.String toolTipText,
                           java.lang.String urlText)

  Creates a new entity.

  Parameters:
    `area` - the area (`null` not permitted).
    `toolTipText` - the tool tip text (`null` permitted).
    `urlText` - the URL text for HTML image maps (`null` permitted).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.